WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.
!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Popupper

Popupper is a plugin that enables a blogger to add popups of images and text into their posts.

What can be turned into a popup?

Any text that you select in a post or a page can be turned into a popup.

How can I tell that the text is a popup?

The text is decorated in someway, you can choose the text to be underlined, double-underlined, boxed, or highlighted with various colors.

The popup button is grayed out in my WYSIWYG editor.

The button stays gray in the WYSIWYG editor until you select text that you wish to use for the anchor of the popup. The anchor of the popup is the text that triggers the popup when the reader mouses over it.

What are the current limitations on the popups?

Currently, there is not a good way to choose the height and width of the popup, it is chosen automatically. Future work would be to allow this to be customized.

In addition, once a popup is created there is not a good way to go back and edit the popup, instead you need to delete the old one and create a new one. Future work is planned to address this.

I created a popup, but I don't see in the WYSIWYG editor.

The WordPress editor does not allow the javascript needed to show popups, but you can see your popup when you preview the page.

What versions of WordPress work with popupper?

WordPress 2.5 up to WordPress 2.7 Beta 3, as soon as there is a newer beta, I'll test that out too.

Requires: 2.5 or higher
Compatible up to: 2.8.4
Last Updated: 7 years ago
Active Installs: 100+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
0,1,0
100,1,1
50,2,1
100,1,1